AuthAuthorization

Generate Access Token — OAuth Client Credentials

Generate an access token using client_id and client_secret. Authenticate all Deepvue API requests with OAuth 2.0 client credentials flow.

curl -X POST "https://production.deepvue.tech/v1/authorize" \
  --form client_id=YOUR_CLIENT_ID \
  --form client_secret=YOUR_CLIENT_SECRET
{
  "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.example_access_token",
  "token_type": "bearer",
  "expiry": "2025-04-30T23:59:59Z"
}
POST
/v1/authorize
POST
Content-Typestring
Required

The media type of the request body

Options: multipart/form-data
client_idstring
Required

CLIENT_ID provided to you

client_secretstring
Required

CLIENT_SECRET provided to you

Request Preview
Response

Response will appear here after sending the request

Body

multipart/form-data
client_idstring
Required

CLIENT_ID provided to you

client_secretstring
Required

CLIENT_SECRET provided to you

Responses

access_tokenstring
token_typestring
expirystring